aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-12-23 15:48:09 -0800
committerJunio C Hamano <junkio@cox.net>2005-12-23 15:48:09 -0800
commit695bf722da848e0cd2692bc07c4a2773c52b4216 (patch)
treefdee9c1ff82b2e40dfcdddc0c02a3792c36aba70
parentbb5ebed731378f9ebec9bcd438aa69e086d73359 (diff)
downloadgit-695bf722da848e0cd2692bc07c4a2773c52b4216.tar.gz
git-695bf722da848e0cd2692bc07c4a2773c52b4216.tar.xz
merge --no-commit: tweak message
We did not distinguish the case the user asked not to make a commit with --no-commit flag and the automerge failed. Tell these cases apart and phrase dying message differently. Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-merge.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/git-merge.sh b/git-merge.sh
index e50fbb116..0a158ef77 100755
--- a/git-merge.sh
+++ b/git-merge.sh
@@ -209,6 +209,7 @@ case "$use_strategies" in
esac
result_tree= best_cnt=-1 best_strategy= wt_strategy=
+merge_was_ok=
for strategy in $use_strategies
do
test "$wt_strategy" = '' || {
@@ -228,6 +229,7 @@ do
exit=$?
if test "$no_commit" = t && test "$exit" = 0
then
+ merge_was_ok=t
exit=1 ;# pretend it left conflicts.
fi
@@ -293,4 +295,11 @@ do
done >"$GIT_DIR/MERGE_HEAD"
echo $merge_msg >"$GIT_DIR/MERGE_MSG"
-die "Automatic merge failed/prevented; fix up by hand"
+if test "$merge_was_ok" = t
+then
+ echo >&2 \
+ "Automatic merge went well; stopped before committing as requested"
+ exit 0
+else
+ die "Automatic merge failed; fix up by hand"
+fi